implementation class Constants
{
  const APACHE_RELEASE = 1030399;
  const DECLINED = -1;
  const DONE = -2;
  const OK = 0;
  const HTTP_CONTINUE = 100;
  const HTTP_SWITCHING_PROTOCOLS = 101;
  const HTTP_PROCESSING = 102;
  const HTTP_OK = 200;
  const HTTP_CREATED = 201;
  const HTTP_ACCEPTED = 202;
  const HTTP_NON_AUTHORITATIVE = 203;
  const HTTP_NO_CONTENT = 204;
  const HTTP_RESET_CONTENT = 205;
  const HTTP_PARTIAL_CONTENT = 206;
  const HTTP_MULTI_STATUS = 207;
  const HTTP_MULTIPLE_CHOICES = 300;
  const HTTP_MOVED_PERMANENTLY = 301;
  const HTTP_MOVED_TEMPORARILY = 302;
  const HTTP_SEE_OTHER = 303;
  const HTTP_NOT_MODIFIED = 304;
  const HTTP_USE_PROXY = 305;
  const HTTP_TEMPORARY_REDIRECT = 307;
  const HTTP_BAD_REQUEST = 400;
  const HTTP_UNAUTHORIZED = 401;
  const HTTP_PAYMENT_REQUIRED = 402;
  const HTTP_FORBIDDEN = 403;
  const HTTP_NOT_FOUND = 404;
  const HTTP_METHOD_NOT_ALLOWED = 405;
  const HTTP_NOT_ACCEPTABLE = 406;
  const HTTP_PROXY_AUTHENTICATION_REQUIRED = 407;
  const HTTP_REQUEST_TIME_OUT = 408;
  const HTTP_CONFLICT = 409;
  const HTTP_GONE = 410;
  const HTTP_LENGTH_REQUIRED = 411;
  const HTTP_PRECONDITION_FAILED = 412;
  const HTTP_REQUEST_ENTITY_TOO_LARGE = 413;
  const HTTP_REQUEST_URI_TOO_LARGE = 414;
  const HTTP_UNSUPPORTED_MEDIA_TYPE = 415;
  const HTTP_RANGE_NOT_SATISFIABLE = 416;
  const HTTP_EXPECTATION_FAILED = 417;
  const HTTP_UNPROCESSABLE_ENTITY = 422;
  const HTTP_LOCKED = 423;
  const HTTP_INTERNAL_SERVER_ERROR = 500;
  const HTTP_NOT_IMPLEMENTED = 501;
  const HTTP_BAD_GATEWAY = 502;
  const HTTP_SERVICE_UNAVAILABLE = 503;
  const HTTP_GATEWAY_TIME_OUT = 504;
  const HTTP_VERSION_NOT_SUPPORTED = 505;
  const HTTP_VARIANT_ALSO_VARIES = 506;
  const HTTP_NOT_EXTENDED = 510;
  const M_GET = 0;
  const M_PUT = 1;
  const M_POST = 2;
  const M_DELETE = 3;
  const M_CONNECT = 4;
  const M_OPTIONS = 5;
  const M_TRACE = 6;
  const M_INVALID = 7;
  const REQUEST_NO_BODY = 0;
  const REQUEST_CHUNKED_ERROR = 1;
  const REQUEST_CHUNKED_DECHUNK = 2;
  const REQUEST_CHUNKED_PASS = 3;
}
end;
implementation instance Constants end;
